%PRIVATE class definition
%
%   Usage:
%      private=private();

classdef private
	properties (SetAccess=public) 
		isconsistent = true;
		runtimename  = '';
		bamg         = struct();
		solution     = '';
	end
	methods
		function obj = private(varargin) % {{{
			switch nargin
				case 0
					obj=setdefaultparameters(obj);
				otherwise
					error('constructor not supported');
			end
		end % }}}
		function obj = setdefaultparameters(obj) % {{{

		end % }}}
		function md = checkconsistency(obj,md,solution,analyses) % {{{

		end % }}}
		function disp(obj) % {{{
			disp(sprintf('   private parameters: do not change'));

			fielddisplay(obj,'isconsistent','is model self consistent');
			fielddisplay(obj,'runtimename','name of the run launched');
			fielddisplay(obj,'bamg','structure with mesh properties constructed if bamg is used to mesh the domain');
			fielddisplay(obj,'solution','type of solution launched');

		end % }}}
	end
end
